%define ver 3.11
%define rel 5mdk 

# /usr to be compatible with RH; but maybe /usr/X11R6 should be better...
%define prefix /usr

Summary: A Red Hat program launcher for the X Window System.
Summary(cs): Ovldac panel systmu Red Hat
Summary(da): Red Hat kontrol-panel
Summary(de): Red-Hat-Kontrollfeld
Summary(es): Panel de control de Red Hat
Summary(fi): Red Hatin ohjauskeskus (control panel)
Summary(fr): Panneau de contrle de Red Hat.
Summary(it): Control Panel di Red Hat
Summary(tr): Red Hat Denetim Masas
Summary(wa): Panea di contrle di Red Hat
Name: control-panel
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: System Environment/Base
Source: control-panel-%{ver}.tar.bz2
Patch: control-panel-3.11-1-i18n.patch.bz2
BuildRoot: /var/tmp/control-panel-root

%description
The Red Hat control panel is an X program launcher for the
X Window System. Both convenient and pleasing, the Red Hat
control panel allows you easy access to numerous X-based
system administration tools included in your Red Hat Linux
system.

Eventually, you'll want to work with many of your system
administration tools; this package helps you locate and launch
many of them.

%description -l cs
Ovldac panel systmu Red Hat je spout program X pro rzn
konfiguran nstroje. Jin balky obsahuj daje, je jim umouj
zobrazen v nabdce dostupnch nstroj z ovldacho panelu.

%description -l da
Red Hat kontrol-panelet er en X baseret grnseflade til forskellige
system-konfigurations vrktjer. Andre pakker understtter kontrol-
panelet, s de kan konfigureres via panelets menu af vrktjer.

%description -l de
Das Red-Hat-Kontrollfeld ist eine X-Programm-Startrampe fr verschiedene
Konfigurations-Tools. Von den Softwarepaketen gelieferte Informatinen knnen
im Men der verfgbaren Tools angezeigt werden.

%description -l fi
Red Hatin control-panel on X-ohjelma, jonka kautta voidaan kynnist useita
konfigurointitykaluja. Muut paketit sisltvt tarvittavat tiedot, jotta ne
voivat ilmesty control-panel:n valikkoon.

%description -l fr
Le tableau de bord Red Hat est un lanceur de programmes X pour les diffrents
outils de configuration. Les autres paquetages fournissent l'information qui
leur permet d'apparaitre dans le menu du tableau de bord.

%description -l it
Il control-panel di Red Hat e' un programma grafico per utilizzare
vari strumenti per la configurazione. Altri pacchetti forniscono loro
il supporto per apparire nel menu' degli strumenti disponibili.

%description -l tr
Red Hat denetim masas, baz ayarlama aralar iin X programlar
altrcsdr. Bir aracn denetim masasndaki aralar arasnda gzkmesi
iin o arala ilgili paketler gerekli bilgileri denetim masasna bildirirler.

%prep
%setup -q

%patch0 -p1 -b .i18n

%build
make

%install
rm -rf $RPM_BUILD_ROOT

#rm -rf /usr/lib/rhs/control-panel/loopy
mkdir -p /usr/lib/rhs/control-panel
mkdir -p $RPM_BUILD_ROOT%{prefix}/{bin,man/man8}
make DESTDIR=$RPM_BUILD_ROOT OWNER= install install-man install-pot
mv $RPM_BUILD_ROOT/usr/bin/control-panel $RPM_BUILD_ROOT%{prefix}/bin || :
mv $RPM_BUILD_ROOT/usr/man/man8/control-panel.8 \
   $RPM_BUILD_ROOT%{prefix}/man/man8/control-panel.8 || :

find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{prefix}/bin/control-panel
%{prefix}/man/man8/control-panel.8.bz2
%dir /usr/lib/rhs/control-panel
/usr/lib/rhs/control-panel/loopy
%attr(755,root,root) /usr/lib/rhs/control-panel/dialog.tcl
%attr(755,root,root) /usr/lib/rhs/control-panel/bindings.tcl
%config /etc/X11/applnk/System/control-panel.desktop
/usr/share/locale/*/LC_MESSAGES/control-panel.mo

%changelog
* Thu Jul 29 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- integrated changes from ObiTuarY <obituary@freshmeat.net>
  that improve the Makefile; also it could be installed under
  /usr/X11R6 by defining %%{prefix} accordingly

* Wed Jul 14 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added i18n support (well, the program has only two strings to
  translate... :) )
- added back descriptions from RH 5.2

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- strip control-panel

* Wed Mar 17 1999 Michael Fulbright <drmike@redhat.com>
- quick hack so orientation change will work

* Tue Mar 09 1999 Michael Fulbright <drmike@redhat.com>
- fixed problem due to switching to gtk+ 1.2

* Tue Feb 23 1999 Michael Johnson <johnsonm@redhat.com>
- updated text
- moved to desktop files from wmconfig files

* Mon Dec 14 1998 Michael Johnson <johnsonm@redhat.com>
- fixed missing include files, updated to use gtk-config

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Wed May 06 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed May 06 1998 Erik Troan <ewt@redhat.com>
- included changes from rhad labs to update things for new gtk

* Sun Nov 09 1997 Michael K. Johnson <johnsonm@redhat.com>
- removed improper geometry handling

* Tue Nov  4 1997 Otto Hammersmith <otto@redhat.com>
- control panel now obeys the -geometry option

* Mon Nov  3 1997 Otto Hammersmith <otto@redhat.com>
- updated version... added bindings.tcl

* Thu Oct 30 1997 Otto Hammersmith <otto@redhat.com>
- added loopy files
- updated version

* Fri Oct 17 1997 Otto Hammersmith <otto@redhat.com>
- Replaced the tcl/tk version with a gtk+ version in C.  No longer
  noarch... gee, what a loss.

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
